Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki
Class Logger

    java.lang.Object
      ch.uzh.ifi.attempto.acewiki.Logger

    public class Logger

extends java.lang.Object

This class is used to log the events on the server.

Author:
  Tobias Kuhn

Constructor Summary
`Logger(java.lang.String ontologyName, int sessionID)` Creates a new logger instance for the given ontology name and session id.
`Logger(java.lang.String ontologyName, java.lang.String username, int sessionID)` Creates a new logger instance for the given ontology name, user name, and session id.

Method Summary
`void` | `log(java.lang.String type, java.lang.String text)` Writes a log entry into the log file of the respective ontology.
`static void` | `log(java.lang.String fileName, java.lang.String userName, int sessionID, java.lang.String type, java.lang.String text)` Writes a log entry into the specified log file.
`void` | `setUsername(java.lang.String username)` Sets the user name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    public Logger(java.lang.String ontologyName,
                  java.lang.String username,
                  int sessionID)

  Creates a new logger instance for the given ontology name, user name, and session id.

  Parameters:
    `ontologyName` - The ontology name.
    `username` - The user name.
    `sessionID` - The session id.

### Logger

    public Logger(java.lang.String ontologyName,
                  int sessionID)

  Creates a new logger instance for the given ontology name and session id. "anon" is used as user name.

  Parameters:
    `ontologyName` - The ontology name.
    `sessionID` - The session id.

Method Detail

### setUsername

    public void setUsername(java.lang.String username)

  Sets the user name.

  Parameters:
    `username` - The user name.

### log

    public void log(java.lang.String type,
                    java.lang.String text)

  Writes a log entry into the log file of the respective ontology.

  Parameters:
    `type` - The type of the log entry.
    `text` - The text of the log entry.

### log

    public static void log(java.lang.String fileName,
                           java.lang.String userName,
                           int sessionID,
                           java.lang.String type,
                           java.lang.String text)

  Writes a log entry into the specified log file.

  Parameters:
    `fileName` - The name of the log file.
    `userName` - The user name.
    `sessionID` - The session id.
    `type` - The type of the log entry.
    `text` - The text of the log entry.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)